Subject: Re: [PATCH v3] Marvell phy: add fiber status check and configuration for some phys

From: Andrew Lunn <[email-masked]>
Date: Tue, 12 Jul 2016 17:18:09 +0200

On Tue, Jul 12, 2016 at 05:00:52PM +0200, Charles-Antoine Couret wrote:
> Hello,
> I'm back with another patch evrsion about Marvell phys with a fiber interface.
> >From the previous release, I fixed some issues reported by yours and I added some functions around the fiber interface to get statistics, to configure the aneg, etc.

Hi Charles

It is best to submit a number of smaller patches, each doing one
thing, than a single big patch. It makes review and discussion much
simpler.

So for example, this should be a patch of its own:

> @@ -151,6 +165,7 @@ struct marvell_hw_stat {
>  
>  static struct marvell_hw_stat marvell_hw_stats[] = {
>  	{ "phy_receive_errors", 0, 21, 16},
> +	{ "phy_receive_errors_fiber", 1, 21, 16},
>  	{ "phy_idle_errors", 0, 10, 8 },
>  };

I think we should also rename phy_receive_errors to
phy_receive_errors_copper.

	Andrew